"Failed to start LSB: bitnami init script" error

Keywords: LAMP/MAMP/WAMP - AWS - Technical issue - Secure Connections (SSL/HTTPS)

bnsupport ID: 3b2289b9-863f-95db-8cef-4c675dbe24ce

bndiagnostic output:

? Apache: Found possible issues
? Resources: Found possible issues
https://docs.bitnami.com/general/apps/wordpress/administration/use-pagespeed/#disable-pagespeed
https://docs.bitnami.com/general/apps/wordpress/troubleshooting/debug-errors-apache/

bndiagnostic failure reason: The documentation did not make any significant change

Description:
Hi there,

I tried to update a LAMP stack last night but have somehow broken the site along the way. I have noticed the following when running “sudo service bitnami status”
bitnami.service - LSB: bitnami init script
Loaded: loaded (/etc/init.d/bitnami; enabled; vendor preset: enabled)
Active: failed (Result: exit-code) since Tue 2021-10-26 15:14:17 UTC; 7s ago
Process: 635 ExecStart=/etc/init.d/bitnami start (code=exited, status=127)

Oct 26 15:14:17 ip-172-31-36-119 systemd[1]: Starting LSB: bitnami init script…
Oct 26 15:14:17 ip-172-31-36-119 bitnami[635]: /etc/init.d/bitnami: 20: .: Can’t open /opt/bitnami/scripts/init/functions
Oct 26 15:14:17 ip-172-31-36-119 systemd[1]: bitnami.service: Control process exited, code=exited, status=127/n/a
Oct 26 15:14:17 ip-172-31-36-119 systemd[1]: bitnami.service: Failed with result ‘exit-code’.
Oct 26 15:14:17 ip-172-31-36-119 systemd[1]: Failed to start LSB: bitnami init script.

I have also noticed on the FTP that /opt/bitnami.bak has replaced /opt/bitnami.

Any suggestions on how to resolve this? I have increased the available RAM as suggested in the Diagnostic tool, and I have flushed the pagespeed cache, but neither have addressed the issue.

Thanks!

Kieran

Hi @frostie,

It seems all services are up and running

-----------------------------------
Get the ctlscript status
-----------------------------------
Running: ./ctlscript.sh status
In: /opt/bitnami

Output:

php-fpm already running
apache already running
mysql already running

However, when you copied the /opt/bitnami folder, it seems you didn’t copy the scripts folder

Oct 26 15:14:17 ip-172-31-36-119 bitnami[635]: /etc/init.d/bitnami: 20: .: Can’t open /opt/bitnami/scripts/init/functions

Did you copy the new folder from a local installation? What was the process you followed to update LAMP?

Hi @jota,

Thanks for the reply!

I didn’t copy from a local installation, I just tried to update the existing install. I followed the steps here Upgrade PHP from 7.1.28 to 7.2.*

Hi @frostie,

Could you try creating a new service following the steps from this guide?

https://docs.bitnami.com/installer/faq/linux-faq/administration/autostart-linux/

Regards,
Michiel

Thanks @michiel.

When I get as far as trying to run “sudo update-rc.d -f bitnami-2 enable,” I’m getting the following:

update-rc.d: error: bitnami-2 Default-Start contains no runlevels, aborting.

Any idea whats wrong?

Hi @frostie,

Could you describe which steps you took to upgrade the stack?

Regards,
Michiel

Hi @michiel,

Hi,

I ran the following

sudo /opt/bitnami/ctlscript.sh stop sudo mv /opt/bitnami/ /opt/bitnami.bak wget https://bitnami.com/redirect/to/770107/bitnami-lampstack-7.3.11-0-linux-x64-installer.run sudo ./bitnami-lampstack-7.3.11-0-linux-x64-installer.run --prefix /opt/bitnami

It appears the issue is during the last step. /opt/bitnami.bak is there, but not bitnami

Hi @frostie,

Bitnami stack don’t support upgrading individual components. We recommend launching a new instance using the latest Bitnami LAMP version and then migrate your application there:

https://docs.bitnami.com/aws/how-to/migrate-php-application/

In that way you ensure you are using all the latest component versions including PHP.

Regards,
Michiel

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.